<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>location.hash + iframe跨域-a</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
  <iframe id="iframe" src="http://www.domain2.com/b.html" style="display:none;"></iframe>
<script>
   var iframe = document.getElementById('iframe');
   // 向b.html传hash值
   setTimeout(function() {
       iframe.src = iframe.src + '#user=admin';
   }, 1000);
   // 开放给同域c.html的回调方法
   function onCallback(res) {
       alert('data from c.html ---> ' + res);
    };
</script>
 </body>
</html>